using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Configuration;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class GridViewAndValidatorPage : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

        if (!IsPostBack)
            FillRecruiterAccount(GridView1);
    }

    void FillRecruiterAccount(GridView gridView)
    {
        try
        {
            SqlDataSource sqlDataSource = new SqlDataSource();
            sqlDataSource.ConnectionString =
            WebConfigurationManager.ConnectionStrings[
                "RecruitVietnamDbConnectionString"
                ].ConnectionString;
            sqlDataSource.SelectCommandType =
            SqlDataSourceCommandType.Text;
            sqlDataSource.SelectCommand = "select " +
            "Email,CompanyName,JobPostingBalance, "
            + "ResumeViewingBalance from tblRCAccounts";
            gridView.DataSource = sqlDataSource;
            gridView.DataBind();
        }
        catch (Exception ex)
        {
            Response.Write(ex.Message);
        }
    }

    protected void GridView1_PageIndexChanging(object sender, GridViewPageEventArgs e)
    {
        GridView1.PageIndex = e.NewPageIndex;
        FillRecruiterAccount(GridView1);
    }
    int runningTotal = 0;
    protected void GridView1_RowDataBound(object sender, GridViewRowEventArgs e)
    {
        GridViewRow gridViewRow = e.Row;
        if (runningTotal > 1 && runningTotal < 8)
        {
            TextBox textBox = (TextBox)
            gridViewRow.Cells[3].FindControl("txtJobPostingBalance");
            if (textBox != null)
            {
                textBox.Text= gridViewRow.Cells[3].Text;
            }
            textBox = (TextBox)
                        gridViewRow.Cells[3].FindControl("txtResumeViewingBalance");
            if (textBox != null)
            {
                textBox.Text = gridViewRow.Cells[5].Text;
            }
        }
        if (runningTotal > 0 && runningTotal < 8)
        {
            gridViewRow.Cells[3].Visible = false;
            gridViewRow.Cells[5].Visible = false;
        }
        runningTotal++;
    }
}
